► |  | Slideshow: Figure and Presentation Tools

1 | Creating Slide Presentations
2 | Making Slides
3 | Typesetting Racket Code in Slideshow
4 | Animations
5 | Legacy Libraries
| Bibliography
| Index

▼ | 2 | Making Slides

2.1 | Primary Slide Functions
2.2 | Slide Registration
2.3 | Viewer Control
2.4 | Constants and Layout Variables
2.5 | Configuration
2.6 | Pict-Staging Helper
2.7 | Text Formatting Helpers
2.8 | Slides to Picts

On this page:

current-font-size
current-main-font
current-line-sep
current-para-width
current-title-color
current-slide-assembler
current-titlet
set-margin!
set-title-h!
make-slide-inset
slide-inset?
commentary-on-slide-font-size

top ← prev up next →

#### 2.5`` Configuration

> > parameter

> > (current-font-size) → exact-nonnegative-integer?

> (current-font-size n) → void?
> n : exact-nonnegative-integer?

Parameter that determines the font size used by t, para, etc. The default size is 32.

> > parameter

> > (current-main-font) → text-style/c

> (current-main-font style) → void?
> style : text-style/c

Parameter that determines the font size used by t, para, etc. The default is platform-specific; possible initial values include 'swiss, "Verdana", and "Gill Sans".

> > parameter

> > (current-line-sep) → exact-nonnegative-integer?

> (current-line-sep n) → void?
> n : exact-nonnegative-integer?

Parameter that controls the amount of space used between lines by para, item, and subitem.

> > parameter

> > (current-para-width) → exact-nonnegative-integer?

> (current-para-width n) → void?
> n : exact-nonnegative-integer?

Parameter that controls the width of a pict created by para, item, and subitem.

> > parameter

> > (current-title-color) → (or/c string? (is-a?/c color%))

> (current-title-color color) → void?
> color : (or/c string? (is-a?/c color%))

Parameter used by the default current-titlet to colorize the title. The default is "black".

> > parameter

> > (current-slide-assembler)

> > →

> > ((or/c string? #f)
> > exact-nonnegative-integer?
> > pict?
> > . -> .
> > pict?)

> (current-slide-assembler proc) → void?

> proc

> :

> ((or/c string? #f)
> exact-nonnegative-integer?
> pict?
> . -> .
> pict?)

Parameter whose value is a function for assembling slide content into a single pict; the assembling function takes a string for the title (or #f), a separation for the title (if any) and pict, and a pict for the slide content (not counting the title).

The result is of the assembler is ct-superimposed with the client area, but the result pict might draw outside the client region to paint the screen margins, too.

The default assembler uses titlet to turn a title string (if any) to a pict. See also current-titlet and set-title-h!.

The slide assembler is not responsible for adding page numbers to the slide; that job belongs to the viewer. See also current-page-number-font, current-page-number-color, and set-page-numbers-visible!.

> > parameter

> > (current-titlet) → (string? . -> . pict?)

> (current-titlet proc) → void?
> proc : (string? . -> . pict?)

Parameter to configure titlet. The default is

> (lambda (s)
> (colorize (text s (current-main-font) 40)
> (current-title-color)))

If this parameter is changed such that the result is a different height, then set-title-h! should be called to update the value produced by title-h, titleless-page, etc.

> > procedure

> > (set-margin! amt) → void?

> amt : real?

Changes the margin that surrounds the client area. See also margin.

> > procedure

> > (set-title-h! amt) → void?

> amt : real?

Changes the expected height of a title, which adjusts title-h, client-h, full-page, and titleless-page.

> > procedure

> > (make-slide-inset |  | left-inset |  |  |  |
> > |  | top-inset |  |  |  |
> > |  | right-inset |  |  |  |
> > |  | bottom-inset) |  | → |  | slide-inset?

> left-inset : exact-nonnegative-integer?
> top-inset : exact-nonnegative-integer?
> right-inset : exact-nonnegative-integer?
> bottom-inset : exact-nonnegative-integer?

Creates a slide inset, which describes a number of pixels to inset the viewer for a slide on each side.

> > procedure

> > (slide-inset? v) → boolean?

> v : any/c

Returns #t if v is a slide inset created by make-slide-inset, #f otherwise.

> > parameter

> > (commentary-on-slide-font-size) → exact-positive-integer?

> (commentary-on-slide-font-size size) → void?
> size : exact-positive-integer?

The font size used for commentary when passing

--commentary-on-slide

on the command-line.
top ← prev up next →